com.genesyslab.wfm8.API.service.config851

## Class CfgTeamFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgTeamFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Team information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cfgTeamSnapshotID` A Team snapshot to use as a team pool.
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmBUId` An array of BU identifiers.
    `protected int` | `wmBUIdNSizeIs` Number of elements in the wmBUId array
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` An array of Site identifiers.
    `protected int` | `wmSiteIdNSizeIs` Number of elements in the wmSiteId array
    `protected java.util.List<java.lang.Integer>` | `wmTeamId` An array of Team identifiers.
    `protected int` | `wmTeamIdNSizeIs` Number of elements in the wmTeamId array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getCfgTeamSnapshotID()` Gets the value of the cfgTeamSnapshotID property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `getWmTeamIdNSizeIs()` Gets the value of the wmTeamIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setCfgTeamSnapshotID(java.lang.String value)` Sets the value of the cfgTeamSnapshotID property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmTeamId(java.util.List<java.lang.Integer> wmTeamId)` Sets the value of the wmTeamId property.
    `void` | `setWmTeamIdNSizeIs(int value)` Sets the value of the wmTeamIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgTeamFilter` | `withCfgTeamSnapshotID(java.lang.String value)`
    `CfgTeamFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgTeamFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgTeamFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgTeamFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgTeamFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgTeamFilter` | `withWmSiteIdNSizeIs(int value)`
    `CfgTeamFilter` | `withWmTeamId(java.util.Collection<java.lang.Integer> values)`
    `CfgTeamFilter` | `withWmTeamId(java.lang.Integer... values)`
    `CfgTeamFilter` | `withWmTeamIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

      Number of elements in the wmBUId array

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

      An array of BU identifiers. When specified, defines a filter of Business Units that returned Teams must belong to.

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

      Number of elements in the wmSiteId array

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      An array of Site identifiers. When specified, defines a filter of Sites that returned Teams must belong to.

    - #### wmTeamIdNSizeIs

          protected int wmTeamIdNSizeIs

      Number of elements in the wmTeamId array.

    - #### wmTeamId

          protected java.util.List<java.lang.Integer> wmTeamId

      An array of Team identifiers. When specified, narrows Team selection to specific Teams. Note that, if wmSiteId (or wmBUId) filter is specified, then wmTeamId filter applies only to Sites that specified Teams belong to, This allows constructing a filter that requests all Teams from one Site but only specific Teams from another Site. The wmTeamId filter can be used without wmSiteId filter specified but once wmSiteId filter is specified then all Teams in wmTeamId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### cfgTeamSnapshotID

          protected java.lang.String cfgTeamSnapshotID

      A Team snapshot to use as a team pool.

  - ### Constructor Detail

    - #### CfgTeamFilter

          public CfgTeamFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmTeamIdNSizeIs

          public int getWmTeamIdNSizeIs()

      Gets the value of the wmTeamIdNSizeIs property.

    - #### setWmTeamIdNSizeIs

          public void setWmTeamIdNSizeIs(int value)

      Sets the value of the wmTeamIdNSizeIs property.

    - #### getWmTeamId

          public java.util.List<java.lang.Integer> getWmTeamId()

      Gets the value of the wmTeamId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTeamId property.

      For example, to add a new item, do as follows:

              getWmTeamId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getCfgTeamSnapshotID

          public java.lang.String getCfgTeamSnapshotID()

      Gets the value of the cfgTeamSnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgTeamSnapshotID

          public void setCfgTeamSnapshotID(java.lang.String value)

      Sets the value of the cfgTeamSnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmBUIdNSizeIs

          public CfgTeamFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgTeamFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgTeamFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgTeamFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgTeamFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgTeamFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmTeamIdNSizeIs

          public CfgTeamFilter withWmTeamIdNSizeIs(int value)

    - #### withWmTeamId

          public CfgTeamFilter withWmTeamId(java.lang.Integer... values)

    - #### withWmTeamId

          public CfgTeamFilter withWmTeamId(java.util.Collection<java.lang.Integer> values)

    - #### withCfgTeamSnapshotID

          public CfgTeamFilter withCfgTeamSnapshotID(java.lang.String value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmTeamId

          public void setWmTeamId(java.util.List<java.lang.Integer> wmTeamId)

      Sets the value of the wmTeamId property.
      Parameters:
        `wmTeamId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.